from suds.client import Client
from suds import WebFault
import cgi

from tests import *

setup_logging()

#logging.getLogger('suds').setLevel(logging.DEBUG)

opencalaisURL = 'http://api.opencalais.com/enlighten/?wsdl'
paramsXML = """<c:params xmlns:c="http://s.opencalais.com/1/pred/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"><c:processingDirectives c:contentType="%s" c:outputFormat="%s" c:reltagBaseURL="%s" c:calculateRelevanceScore="%s" c:enableMetadataType="%s"></c:processingDirectives><c:userDirectives c:allowDistribution="%s" c:allowSearch="%s" c:externalID="%s" c:submitter="%s"></c:userDirectives><c:externalMetadata></c:externalMetadata></c:params>"""

def buildParams(contentType='TEXT/TXT', outputFormat='Text/Simple', reltagBaseURL='', calculateRelevanceScore='true', enableMetadataType='', allowDistribution='false', allowSearch='false', externalID='', submitter=''):
    return paramsXML % (contentType, outputFormat, reltagBaseURL, calculateRelevanceScore, enableMetadataType, allowDistribution, allowSearch, externalID, submitter)

client = Client(opencalaisURL)
print client

enlightenment = client.factory.create('Enlighten')
enlightenment.licenseID = '4bwjs39sckcppnsrnya7bba8'
enlightenment.content = 'Ottawa Ontario'
enlightenment.paramsXML = cgi.escape(buildParams())

licenseID = '4bwjs39sckcppnsrnya7bba8'
content = 'Ottawa Ontario'
paramsXML = buildParams()

try:
    calaisSoap = client.service.calaisSoap
    result = calaisSoap.Enlighten(licenseID, content, paramsXML)
    print result
    result = client.service.Enlighten(licenseID, content, paramsXML)
    print result
    client.setport(0)
    result = client.service.Enlighten(licenseID, content, paramsXML)
    print result
except Exception, e:
    print e