# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# written by: Jeff Ortel ( jortel@redhat.com )

import sys
sys.path.append('../')
 
import logging
from suds.client import Client
import urllib2
from tests import *
from suds.xsd.sxbasic import Import
from suds.bindings.binding import Binding
import md5,base64
import string

setup_logging()

#logging.getLogger('suds.xsd').setLevel(logging.DEBUG)

Binding.replyfilter = (lambda s,r: ''.join([c for c in r if c in string.printable]))
Import.bind("http://schemas.xmlsoap.org/soap/encoding/")
Import.bind("http://schemas.xmlsoap.org/wsdl/")

def sugarPassword(s):
    hash = md5.new()
    hash.update(s)
    return base64.b16encode(hash.digest()).lower()

cl = Client("http://inboxer.sugar.webreply.com/sugarcrm/soap.php?wsdl")
#print cl
ua = cl.factory.create("user_auth")
#print ua
ua.user_name="seant"
ua.password=sugarPassword("seant$")
ua.version = ".01"
cl.setlocation("http://inboxer.sugar.webreply.com/sugarcrm/soap.php")
sess = cl.service.login(ua,'WR')
print sess
fields = ["first_name","last_name"]
print "Leads #", cl.service.get_entries_count(sess.id,"Leads",location="http://inboxer.sugar.webreply.com/sugarcrm/soap.php")
print "Leads", cl.service.get_entry_list(sess.id,"Leads","leads.first_name like 's%'", "leads.first_name", 0, [], 1, 0, location="http://inboxer.sugar.webreply.com/sugarcrm/soap.php")
print cl.service.logout(sess.id,location="http://inboxer.sugar.webreply.com/sugarcrm/soap.php")