# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# written by: Jeff Ortel ( jortel@redhat.com )

import sys
sys.path.append('../')

import logging
import traceback as tb
from tests import *
from suds import WebFault
from suds.client import Client

setup_logging()

#logging.getLogger('suds').setLevel(logging.DEBUG)
#logging.getLogger('suds.client').setLevel(logging.DEBUG)
#logging.getLogger('suds.xsd.schema').setLevel(logging.DEBUG)

userid = 'intadmin@redhat.com.qa'
password = 'fedora10'
directory = '/home/jortel/Desktop'
filename = '%s/queryresult.xml' % directory
url = 'file://%s/redhat.sfpartner.wsdl' % directory
    
try:
    client = Client(url)
    print client
    client.setport('Jeff')
    login = client.service.login(userid, password)
    print login
    client.setlocation(login.serverUrl)
    header = client.factory.create('SessionHeader')
    header.sessionId = login.sessionId
    client.setheaders(header)
    query = "SELECT FirstName, LastName FROM Contact"
    reply = client.service.query(query)
    print '%d records' % len(reply.records)
    file = open(filename, 'w')
    file.write(str(reply))
    file.close()
    client.service.logout()
    print 'logged out'
except WebFault, f:
    print f
    print f.fault
except Exception, e:
    print e
    tb.print_exc()

print '\nFinished'

